<?php if (!defined('APPLICATION')) exit();
/**
 * @copyright Copyright 2008, 2015 Vanilla Forums Inc.
 * @license http://www.opensource.org/licenses/gpl-2.0.php GPLv2
 * @author Jordan Jones <me@mc-heads.net>
 */

$PluginInfo['MCHeads Minecraft avatars'] = array(
   'Name' => 'MCHeads Minecraft avatars',
   'Description' => "Replaces the default profile picture of your users with their Minecraft avatar (Based on their username)",
   'Version' => '1.2',
   'RequiredApplications' => array('Vanilla' => '2.2', 'Vanilla' => '2.3'),
   'Author' => 'Jordan Jones',
   'AuthorEmail' => 'me@mc-heads.net',
   'AuthorUrl' => 'http://vanillaforums.org/profile/Mister_Fix',
   'RequiredTheme' => FALSE,
   'HasLocale' => FALSE,
   'MobileFriendly' => TRUE,
   'License' => 'LGPL'
);

class VanilliconPlugin extends Gdn_Plugin {
   public function ProfileController_AfterAddSideMenu_Handler($Sender, $Args) {
      if (!$Sender->User->Photo) {
         $UserName = GetValue('Name', $Sender->User);
         $Sender->User->Photo = 'https://mc-heads.net/avatar/'.$UserName;
      }
   }
}

if (!function_exists('UserPhotoDefaultUrl')) {
   function UserPhotoDefaultUrl($User, $Options = array()) {
      $UserName = GetValue('Name', $User);
      $PhotoUrl = 'https://mc-heads.net/avatar/'.$UserName;
      return $PhotoUrl;
   }
}